package svc

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/db"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_day_luck_draw.git/md"
	"xorm.io/xorm"
)

func AddSettleOrder(eg *xorm.Engine, req md.DayLuckDrawOrderJackpotReq) error {
	setting := db.CheckSetting(eg, req.Pvd)
	if setting == false {
		return nil
	}
	err := db.AddSettle(eg, req)
	if err != nil {
		return err
	}
	return nil
}
func AddSettleOrderSess(sess *xorm.Session, req md.DayLuckDrawOrderJackpotReq) error {
	setting := db.CheckSettingSess(sess, req.Pvd)
	if setting == false {
		return nil
	}
	err := db.AddSettleSess(sess, req)
	if err != nil {
		return err
	}
	return nil
}
