package model

import (
	"time"
)

type DayLuckDrawSetting struct {
	Id             int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	IsUse          int       `json:"is_use" xorm:"default 0 INT(255)"`
	StartTime      time.Time `json:"start_time" xorm:"DATETIME"`
	EndTime        time.Time `json:"end_time" xorm:"DATETIME"`
	Source         string    `json:"source" xorm:"comment('奖池来源 commission佣金   amount金额') VARCHAR(255)"`
	CommissionBili string    `json:"commission_bili" xorm:"comment('奖池为订单佣金时 存入订单佣金比例') VARCHAR(255)"`
	OrderSoruce    string    `json:"order_soruce" xorm:"comment('订单来源 all导购+自营   mall 自营') VARCHAR(255)"`
	OpenTime       time.Time `json:"open_time" xorm:"DATETIME"`
	CycleDay       int       `json:"cycle_day" xorm:"default 0 comment('周期') INT(11)"`
	AdvUse         int       `json:"adv_use" xorm:"INT(11)"`
	AdvType        string    `json:"adv_type" xorm:"VARCHAR(255)"`
	Amount         string    `json:"amount" xorm:"VARCHAR(255)"`
	RewardData     string    `json:"reward_data" xorm:"TEXT"`
}
